Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class ObjectIdentifier

    java.lang.Object
      edu.harvard.hul.ois.jhove.ObjectIdentifier

    public class ObjectIdentifier

extends java.lang.Object

Module for identification of a document. "Identification" means determining, by querying modules successively, what the format of a document is. The Bytestream module is always queried last, so a document will by identified as a Bytestream if all else fails.

Constructor Summary
`ObjectIdentifier(java.util.List moduleList)` CLASS CONSTRUCTOR.

Method Summary
`void` | `identify(java.io.File file, RepInfo info, java.lang.String parm, boolean verbose, boolean shortCheck)` Perform identification on a file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectIdentifier

    public ObjectIdentifier(java.util.List moduleList)

  CLASS CONSTRUCTOR.

Method Detail

### identify

    public void identify(java.io.File file,
                         RepInfo info,
                         java.lang.String parm,
                         boolean verbose,
                         boolean shortCheck)
                  throws java.io.IOException

  Perform identification on a file. The file is parsed by each of the modules in the module list until one declares that the file is well-formed. It is assumed that there is a module in the list (normally Bytestream at the end) which will always consider a file well-formed.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD